Can I run new games without losing the HBC?

Discussion in 'Wii - Hacking' started by Zeldafanzero, Sep 6, 2009.

Sep 6, 2009
  1. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    I've been around since the whole HBC thing kicked off, and as a result focused on homebrew games instead of retail for the last year or so.

    However, now The Beatles: Rock Band is out next week and I'm thinking of buying it.

    The only problem is that I know there are some HBC/Twilight Hack-busting updates on certain disks.

    How should I proceed? I really want this game!

    Thanks in advance!
     
  2. Arendo

    Member Arendo GBAtemp Regular

    Joined:
    Dec 22, 2008
    Messages:
    137
    Country:
    Netherlands
    I believe it's even safe to update, as long as you already have HBC installed and your IOSes patched...

    I've still got HBC and I'm on 4.1E - using waninkoko's updaters and patchers and whatever [​IMG]

    Anyway, I think it's safest to disable disc update check, using preloader or something...
     
  3. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Ok, thanks.

    Can someone detail what I should do, or tell me where to go for a guide to do this? I don't wanna lose my channels I've installed!

    Thanks!
     
  4. Guild McCommunist

    Member Guild McCommunist (not on boat)

    Joined:
    May 6, 2009
    Messages:
    18,151
    Location:
    The Danger Zone
    Country:
    United States
    As far as I know, there is not a single update so far that will remove the HBC. They may remove things like cIOS, but not the HBC.

    Just use Waninkoko's firmware updaters. They'll install the important components needed for the next firmware but without removing your cIOS and the like.
     
  5. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Thanks for your reply but it seems Waninkoko's program only works if you have your Wii connected to the Internet, but I don't. [​IMG]

    Is there any way I can play Beatles: Rock Band WITHOUT losing DVDX/Backup Loader/etc.?

    Thanks.
     
  6. Primenay13

    Member Primenay13 GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    265
    Location:
    Indiana
    Country:
    United States

    You can update without losing HBC. Back it up on an sd card if you are really worried about it.
     
  7. jabmaster2

    Member jabmaster2 GBAtemp Fan

    Joined:
    Apr 24, 2009
    Messages:
    477
    Country:
    United States
    U won't lose anything with a normal update just as long u have cios installed b4. Make sure to install a patched ios 60 though when ur updated to 4.1. Or u can always just loadvthe game through gecko os and let it install needed ios updates
     
  8. diego_pmc

    Newcomer diego_pmc Advanced Member

    Joined:
    Sep 8, 2009
    Messages:
    52
    Country:
    United States
    And even if you would lose it (I doubt it), there are newer and better ways than Twilight Hack of installing HBC now. Read this tutorial if you want to learn more: [​IMG]
    ? http://wiibrew.org/wiki/Homebrew_setup
     
  9. Arendo

    Member Arendo GBAtemp Regular

    Joined:
    Dec 22, 2008
    Messages:
    137
    Country:
    Netherlands
    there are offline updates too... although, you have to get the files from somewhere and put them on your SD, every one of waninkoko's updaters has come with the possibility to update from SD or internet...
    some tutorials have complete offline packages... good luck hunting [​IMG]
     
  10. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    Ok, so I'm happy that I can keep HBC, but what about the backup loaders?

    The newest one I've got is the Gamma loader. Will that still work on 4.1e, or will Ninty kill it when I upgrade?
     
  11. Ossot

    Member Ossot GBAtemp Fan

    Joined:
    Jun 7, 2009
    Messages:
    494
    Country:
    United States
    your loader is outdated. However it's using ios 249, which as stated above, will not be removed by an update.

    So the loader will still work. However, i'd recommend downloading neogamma instead. Which can easily be found and is going to have much more compatibility than what you're currently using.

    Also, and I've never tested this, but all you have to do is boot a retail disk in a back-up loader to bypass the updates. The loaders dont read the update partition. If you're that worried about updating, just boot it that way. Problem solved.
     
  12. Zeldafanzero
    OP

    Newcomer Zeldafanzero Advanced Member

    Joined:
    Nov 12, 2008
    Messages:
    61
    Country:
    United Kingdom
    That's really cool. Thanks!

    But don't some games NEED new IOS updates? Like for Mic. compatibility or whatever?

    Thanks.
     
  13. Ossot

    Member Ossot GBAtemp Fan

    Joined:
    Jun 7, 2009
    Messages:
    494
    Country:
    United States
    Depends on what you're working with. You could just install the .wad's manually.

    Just grab 37, 38, 53, and 55. That'll cover any game out there and wiiware. If you really need a reliable place to download them, let me know. I'll PM you a mediafire dump.
     
  14. jakejm79

    Member jakejm79 GBAtemp Fan

    Joined:
    Jun 18, 2009
    Messages:
    354
    Country:
    United States
    Also IOS56 too
     
  15. Ossot

    Member Ossot GBAtemp Fan

    Joined:
    Jun 7, 2009
    Messages:
    494
    Country:
    United States
    You need it for 1 little feature in 1 game, it's far from required.
     
  16. jakejm79

    Member jakejm79 GBAtemp Fan

    Joined:
    Jun 18, 2009
    Messages:
    354
    Country:
    United States
    Two games, B:RB and GH5, and since (s)he asked about Mics I assume there is a good chance he will be using one of those games. And using your justification IOS 53 and/or 55 aren't required either since only a few games use them.
     
  17. Arendo

    Member Arendo GBAtemp Regular

    Joined:
    Dec 22, 2008
    Messages:
    137
    Country:
    Netherlands
    why not just install startpatch or preloader to enable 'skip disc update check'?
     

Share This Page